Subject: I-D Action: draft-pp-recursive-authoritative-opportunistic-03.txt

From: [email-masked]
Date: Wed, 25 Nov 2020 13:43:45 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Recursive to Authoritative DNS with Opportunistic Encryption
        Author          : Paul Hoffman
	Filename        : draft-pp-recursive-authoritative-opportunistic-03.txt
	Pages           : 9
	Date            : 2020-11-25

Abstract:
   This document describes a use case and a method for a DNS recursive
   resolver to use opportunistic encryption (that is, encryption with
   optional authentication) when communicating with authoritative
   servers.  The motivating use case for this method is that more
   encryption on the Internet is better, and opportunistic encryption is
   better than no encryption at all.  The method here is optional for
   both the recursive resolver and the authoritative server.  Nothing in
   this method prevents use cases and methods that require authenticated
   encryption.

   IMPORTANT NOTE: This version of the document describes discovery
   whether an authoritative server supports encryption using port-
   checking.  This restriction is based on the request of the DPRIVE WG
   during its meeting at IETF 109.  It is quite likely that the final
   protocol will include a better set of methods for such discovery.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-pp-recursive-authoritative-opportunistic/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-pp-recursive-authoritative-opportunistic-03
https://datatracker.ietf.org/doc/html/draft-pp-recursive-authoritative-opportunistic-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-pp-recursive-authoritative-opportunistic-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/